Subject: Re: [PATCH] powerpc/mm: add ZONE_NORMAL zone for 64 bit kernel

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 24 Jul 2012 09:30:15 +1000

On Tue, 2012-07-24 at 09:29 +1000, Benjamin Herrenschmidt wrote:

> The layers in between, not the well behaved drivers. Again, we have
> ZONE_DMA32 specifically for the purpose, why use something else ?
> 
> In any case, make the whole thing at the very least a config option, I
> don't want sane HW to have to deal with split zones.

Or if possible a flag set by machine probe()

Cheers,
Ben.